Module java.base
Package java.util.function

# Interface ToIntBiFunction<T,U>

Type Parameters:
  `T` - the type of the first argument to the function
  `U` - the type of the second argument to the function

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ToIntBiFunction<T,U>
Represents a function that accepts two arguments and produces an int-valued result. This is the `int`-producing primitive specialization for `BiFunction`.

This is a functional interface whose functional method is `applyAsInt(Object, Object)`.

Since:
  1.8
See Also:
  - `BiFunction`

## Method Summary

Modifier and Type
Method
Description
`int`
`applyAsInt(T t, U u)`
Applies this function to the given arguments.

## Method Details

### applyAsInt

int applyAsInt(T t, U u)
Applies this function to the given arguments.

Parameters:
  `t` - the first function argument
  `u` - the second function argument
Returns:
  the function result